UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMEStoreEntry Class Reference

UME Store Entry class. More...

## Public Member Functions
| UMEStoreEntry ()
| Creates a UMEStoreEntry object and initializes all values to 0.
| UMEStoreEntry (IPEndPoint address, ushort groupIndex, uint registrationId)
| Creates a UMEStoreEntry object and uses supplied values for initialization. The domain ID is set to 0. More...
| UMEStoreEntry (IPEndPoint address, ushort groupIndex, uint registrationId, uint domainId)
| Creates a UMEStoreEntry object and uses supplied values for initialization. More...
| UMEStoreEntry (IPEndPoint address, ushort groupIndex, uint registrationId, uint domainId, string name)
| Creates a UMEStoreEntry and uses supplied values for initialization. More...
IPEndPoint | address ()
| Accessor function to get the store's address. More...
ushort | groupIndex ()
| Accessor function to get the store's group index. More...
uint | registrationId ()
| Accessor function to return the source's registration ID with this store. More...
uint | domainId ()
| Accessor function to return the store's domain ID. More...
bool | isNamed ()
| Returns true if the store representy by this entry was specified by name. More...
string | name ()
| Returns the name of the store represented by this entry. More...

## Detailed Description

UME Store Entry class.

Holds information about a source's registration with a UME store, including the store's domain ID, IP address and port, group index, and the source's current registration ID.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry | ( | IPEndPoint | address,
|  | ushort | groupIndex,
|  | uint | registrationId
| ) |  |

Creates a UMEStoreEntry object and uses supplied values for initialization. The domain ID is set to 0.

Parameters

  address | The address (IP and port) of the store.
  groupIndex | The group the store belongs to (must be >= 0).
  registrationId | The source's registration ID (must be >= 0).

com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry | ( | IPEndPoint | address,
|  | ushort | groupIndex,
|  | uint | registrationId,
|  | uint | domainId
| ) |  |

Creates a UMEStoreEntry object and uses supplied values for initialization.

Parameters

  address | The address (IP and port) of the store.
  groupIndex | The group the store belongs to (must be >= 0).
  registrationId | The source's registration ID (must be >= 0).
  domainId | The store's domain ID (must be >= 0).

com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry | ( | IPEndPoint | address,
|  | ushort | groupIndex,
|  | uint | registrationId,
|  | uint | domainId,
|  | string | name
| ) |  |

Creates a UMEStoreEntry and uses supplied values for initialization.

Parameters

  address | The address (IP and port) of the store
  groupIndex | The group the store belongs to
  registrationId | The sources's registration ID at the store
  domainId | The store's domain ID
  name | The configured store name.

## Member Function Documentation

IPEndPoint com.latencybusters.lbm.UMEStoreEntry.address | ( |  | ) |

Accessor function to get the store's address.

Returns
  The store's address (IP and port).

uint com.latencybusters.lbm.UMEStoreEntry.domainId | ( |  | ) |

Accessor function to return the store's domain ID.

Returns
  The store's domain ID.

ushort com.latencybusters.lbm.UMEStoreEntry.groupIndex | ( |  | ) |

Accessor function to get the store's group index.

Returns
  The store's group index.

bool com.latencybusters.lbm.UMEStoreEntry.isNamed | ( |  | ) |

Returns true if the store representy by this entry was specified by name.

Returns
  True for named stores, false otherwise.

string com.latencybusters.lbm.UMEStoreEntry.name | ( |  | ) |

Returns the name of the store represented by this entry.

Returns
  The name of the store if it is a named store, null otherwise.

uint com.latencybusters.lbm.UMEStoreEntry.registrationId | ( |  | ) |

Accessor function to return the source's registration ID with this store.

Returns
  The source's registration ID.

The documentation for this class was generated from the following file:

- UMEStoreEntry.cs